#4186 closed Patches (Obsolete)

GSoC: LibNemesi integration. RTSP/RTP streaming support

Reported by: alcoheca Owned by: elupus
Priority: 4 - Normal
Component: Streaming (Internet) Version: GIT
Severity: Normal Keywords:
Cc: AreaScout Blocked By:
Blocking: Platform: All

Description (last modified by sho)

As yet unfinished integration of LibNemesi (http://live.polito.it/documentation/libnemesi) within dvdplayer.

This will (presuming I get it working) offer superior support for RTSP/RTP streaming media within XBMC.

I'll keep adding new archives of the code as I make progress, but here's the version for appraisal..

Too big for SF, so hosted here:

http://ginezbukov.com/XBMC-LibNemesi.tar.gz

Subsequent updates will only include source code.

Attachments (1)

XBMC-LibNemesi.7z (223.0 KB) - added by alcoheca at 2008-05-08T09:56:48+01:00.

Change History (22)

comment:1 Changed at 2008-04-19T05:45:52+01:00 by nobody

Logged In: NO

Will you be submit any patches upstream to LibNemesi (and FFmpeg?) as well? I think that if there is any non-XBMC specific code in there that other open source projects using LibNemesi will benefit from then it is a good idea to sooner or later try to submit any changes to the upstream owners of the original project.

comment:2 Changed at 2008-04-19T06:04:47+01:00 by gamester17

Logged In: YES user_id=630186 Originator: NO

@elupus, do you have time to begin to review this code/patch even though the patch itself is not yet finished?

@Alcoheca, feel free to post about this patch in the forum, there is already a topic-thread in the feature suggestion forum that is specificly about libnemesi (NeMeSI) so it should be ok to discuss development in there: http://forum.xbmc.org/showthread.php?t=21926

comment:3 Changed at 2008-04-19T15:32:48+01:00 by nobody

Logged In: NO

@nobody, The way I've been going about it is I've been adding an InputStream and Demuxer to dvdplayer, not the FFmpeg internals. I would certainly be up for reviewing my work afterwords, and seeing how feasible it would be to work on FFmpeg internals directly, (the feasibility being determined by my capabilities as a C programmer (!) )

comment:4 Changed at 2008-04-19T15:33:59+01:00 by alcoheca

Logged In: YES user_id=2005174 Originator: YES

apologies for not logging in, last time

comment:5 Changed at 2008-04-23T13:59:20+01:00 by nobody

Logged In: NO

@elupus, have you had time to review and comment on this code yet?

comment:6 Changed at 2008-05-06T16:36:55+01:00 by nobody

Logged In: NO

any updates on this one?

comment:7 Changed at 2008-05-06T16:39:18+01:00 by nobody

Logged In: NO

URL for the patch download is no longer working http://ginezbukov.com/XBMC-LibNemesi.tar.gz

could this be split up and attatched here as several files? Kind of how large RAR files are split up when download warez

Changed at 2008-05-08T09:56:48+01:00 by alcoheca

comment:8 Changed at 2008-05-08T09:56:48+01:00 by alcoheca

Logged In: YES user_id=2005174 Originator: YES

File Added: XBMC-LibNemesi.7z

comment:9 Changed at 2008-05-08T10:00:44+01:00 by alcoheca

Logged In: YES user_id=2005174 Originator: YES

Try this file I just attached. I'm unable to test it today, however I just grabbed the file from that URL and recompressed it with 7zip which seems to have superior compression, (or it's removing large chunks) :-)

My uni work will all be finished by tomorrow,(!) so I will be able to spend time on this from Monday the 12th May.

comment:10 Changed at 2008-05-08T10:01:51+01:00 by alcoheca

Logged In: YES user_id=2005174 Originator: YES

forgot to say, the original link is still valid, must have been a temporary problem that 'nobody' witnessed.

comment:11 Changed at 2008-05-20T18:32:37+01:00 by gamester17

Logged In: YES user_id=630186 Originator: NO

How is this comming along Alcoheca, any progress?

@elupus, have you had time to review this coding?

comment:12 Changed at 2008-08-07T03:09:25+01:00 by sho

  • Description modified (diff)
  • Milestone set to Future
  • Platform set to XBox
  • Priority changed from 5 to 4 - Normal
  • Severity set to Normal

comment:13 Changed at 2008-10-15T19:15:28+01:00 by Gamester17

  • Milestone changed from Future / Pending to 9.04

comment:14 Changed at 2008-11-30T11:35:26Z by sho

  • Component changed from Network Streaming Protocol to Streaming (Internet)

see #460

comment:15 Changed at 2008-12-15T18:20:12Z by Gamester17

  • Cc AreaScout added
  • Platform changed from XBox to All

@sho, FYI #460 is not the same as this, niether is #53, but ticket #52 is the same.

However LibNemesi should bring proper and stable RTSP/RTP support to XBMC and FFmpeg.

comment:16 Changed at 2008-12-15T20:04:38Z by sho

Ok, then what of them should be open then?

comment:17 Changed at 2008-12-16T11:14:48Z by Gamester17

#4186, #460, and #53 should all still be open IMHO, however #52 can be left closed, (#53 and #460 works in XBMC for Xbox because it uses MPlayer, but I do not think that DVDPlayer support RealMedia and QuickTime derivatives of the RTSP/RTP protocols?)

comment:18 Changed at 2009-03-17T22:25:59Z by spiff

  • Milestone changed from 9.04 to Future / Pending

comment:19 Changed at 2009-11-23T18:56:08Z by vdrfan

  • Version changed from None to SVN

comment:20 Changed at 2012-09-17T17:03:14+01:00 by Martijn

  • Resolution changed from None to Obsolete
  • Status changed from accepted to closed

Closing as it is for an outdated version and created long time ago

comment:21 Changed at 2012-09-18T13:46:17+01:00 by Martijn

  • Milestone Future / Pending deleted
Note: See TracTickets for help on using tickets.